Bug 254719 - devel/git: Remove subversion support from OPTIONS_DEFAULT
Summary: devel/git: Remove subversion support from OPTIONS_DEFAULT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-02 12:17 UTC by Michael Gmelin
Modified: 2021-04-06 15:31 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Gmelin freebsd_committer 2021-04-02 12:17:36 UTC
Now that ports transitioned to git as well (and once the dust has settled), I would like us to remove SVN from OPTIONS_DEFAULT in the git port to reduce the number of dependencies pulled in when installing git.

Feel free to close WONTFIX if this isn't wanted by the maintainer.
Comment 1 Ed Maste freebsd_committer 2021-04-02 18:15:45 UTC
This seems reasonable to me. We ought to have a separate git-svn port again, but I agree there's now much less reason for the default port to have svn enabled.
Comment 2 Steve Wills freebsd_committer 2021-04-02 18:26:57 UTC
(In reply to Ed Maste from comment #1)
Or maybe a svn flavor, to go with the lite and tiny flavors?
Comment 3 Renato Botelho freebsd_committer 2021-04-05 13:34:08 UTC
(In reply to Steve Wills from comment #2)
Or even a `full` flavor, with all options enabled.  I agree subversion should be moved to off by default on main flavor.
Comment 4 Renato Botelho freebsd_committer 2021-04-06 15:30:49 UTC
I ended up creating the svn flavor.  Thanks!
Comment 5 commit-hook freebsd_committer 2021-04-06 15:31:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=64d5a3b23aca5e0da4ffb9430131f6fad3341106

commit 64d5a3b23aca5e0da4ffb9430131f6fad3341106
Author:     Renato Botelho <garga@FreeBSD.org>
AuthorDate: 2021-04-06 15:27:07 +0000
Commit:     Renato Botelho <garga@FreeBSD.org>
CommitDate: 2021-04-06 15:29:59 +0000

    devel/git: Disable SVN and create flavor

    Ports tree moved to git.  Disable SVN option by default on main port to
    reduce dependencies and create a new flavor "svn" that looks exactly how
    main port was before this change

    PR:             254719
    Reported by:    grembo
    Sponsored by:   Rubicon Communications, LLC ("Netgate")

 devel/git/Makefile            | 19 +++++++++++++------
 devel/git/pkg-descr-svn (new) |  6 ++++++
 2 files changed, 19 insertions(+), 6 deletions(-)